> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionexecution-object.md).

# ActionExecution Object

## Description

Represents a single execution of an action.

## Properties

### actionExecutionId

ID of the action execution

Type: `string`

### actionId

ID of the action that was executed.

Type: `string`

### actionName

Name of the action.

Type: `string`

### actionType

Type ID of the action.

Type: `string`

### actionVersionId

Version ID of the action that was executed.

Type: `string`

### credentialId

ID of the credential.

Type: `string`

### endDate

Date, in ISO8601 format, when the action finished. Will not be present if the status is not "complete".

Type: `string`

### managedInstanceId

ID of the Managed Instance in which the action belongs. Will not be present if the action is not part of a Managed Instance.

Type: `string`

### result

Result of the action execution. Will not be present if the status is not "complete".

Type: [ActionExecutionResult](/data-types/actionexecutionresult-object.md) object

### startDate

Date, in ISO8601 format, when the action started.

Type: `string`

### status

Status of the execution.

Type: `string`

Valid Values:

* `running`
* `complete`
* `cancelling`
* `cancelled`.

### timeZoneId

ID of the time zone for the action.

Type: `string`

### trigger

Trigger which started the action.

Type: [ActionExecutionTrigger](/data-types/actionexecutiontrigger-object.md) object.

## Sample JSON

```javascript
{
    "actionExecutionId": "ae-00000001",
    "actionId": "a-00000001",
    "actionName": "Start My Instances",
    "actionType": "amazon-start-ec2-instance",
    "actionVersionId": "av-00000001",
    "credentialId": "cred-00000001",
    "endDate": "2016-06-01T12:03:00Z",
    "managedInstanceId": "mi-00000001",
    "result": {
        "code": 0,
        "text": "Execution succeeded"
    },
    "startDate": "2016-06-01T12:00:00Z",
    "status": "complete",
    "timeZoneId": "UTC",
    "trigger": {
        "triggerType": "schedule"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionexecution-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
